# mailAccount Class Reference

mail plugin More...

Inheritance diagram for mailAccount:

List of all members.

## Public Member Functions

| mailAccount ($dn=NULL, $shared_folder=FALSE)
| getImapAttributes ()
| setImapAttributes ()
| setSieveAttributes ()
| execute ()
| execute plugin
| remove_from_parent ()
| save_object ()
| save ()
| check ()
| adapt_from_template ($dn)
| addForwarder ($address)
| delForwarder ($addresses)
| addAlternate ($address)
| delAlternate ($addresses)

## Public Attributes

| mail = ""
| gosaMailAlternateAddress = array()
| gosaMailForwardingAddress = array()
| gosaMailDeliveryMode = "[L ]"
| gosaMailServer = ""
| gosaMailQuota = ""
| gosaMailMaxSize = ""
| gosaVacationMessage = ""
| gosaSpamSortLevel = ""
| gosaSpamMailbox = ""
| quotaUsage = 0
| forward_dialog = FALSE
| folder_prefix = ""
| mailboxList = array()
| default_permissions = "none"
| member_permissions = "post"
| members = array()
| admins = array()
| perms
| attributes
| objectclasses = array("gosaMailAccount")

## Detailed Description

mail plugin

Author:
  Cajus Pollmeier <pollmeier@gonicus.de>

Version:
  2.00

Date:
  24.07.2003

This class provides the functionality to read and write all attributes relevant for gosaMailAccounts from/to the LDAP. It does syntax checking and displays the formulars required.

## Member Function Documentation

mailAccount::execute | ( |  | ) |

| execute plugin Generates the html output for this node Reimplemented from plugin.

## Member Data Documentation

mailAccount::attributes

Initial value:

     array("mail", "gosaMailServer", "gosaMailQuota", "gosaMailMaxSize",
                            "gosaMailDeliveryMode", "gosaSpamSortLevel", "gosaSpamMailbox",
                            "gosaVacationMessage", "uid")

Reimplemented from plugin.

mailAccount::perms

Initial value:

     array( "lrs" => "read", "lrsp" => "post", "lrsip" => "append",
                            "lrswipcd" => "write", "lrswipcda" => "all" )

The documentation for this class was generated from the following file:

- class_mailAccount.inc